Subject: Re: the names that aren't DNS names problem, was Last Call: <draft-ietf-dnsop-onion-tld-00.txt>

From: Steve Crocker <[email-masked]>
Date: Wed, 22 Jul 2015 08:06:54 +0200

[Originally submitted Monday but with my ICANN email address, so it apparently didn’t get distributed to the IETF list.]

John, et al,

There are a substantial number of ICANN people at this IETF meeting, including, of course, the usual IANA team,  three  of ICANN’s to level managers — David Conrad, Chief Technology Officer, Ashwin Rangun, Chief Innovation and Information Officer, and Akram Atallah, president of the Global Domains Division — several people on David Conrad’s team, and four people on the ICANN board, including, of course, the IETF liaison to the ICANN board, Jonne Soininen, and Suzanne Woolf, who serves multiply as the liaison to the ICANN board from the root server operators group, RSSAC, chair of DNSOP, and a member of the IAB. ICANN is paying a LOT of attention.

Speaking for myself and not necessarily for the ICANN board or the rest of the organization, it seems evident that the nice clean separation of name spaces originally envisioned via the distinct indicators in DNS, e.g. “IN” for “Internet”, protocol identifiers in URLs, etc. has not worked out in practice.  The original scheme of assigning just seven “generic” top level domains plus two letter country code TLDs meant the rest of the top level space was left unassigned.  Nature apparently abhors a vacuum in this area as well as in the physical domain.  Various vendors grabbed unused names such as local, corp, mail and built then into their products.  In principle, these names should not have shown up in queries to the DNS root; in practice they have shown up in great numbers.  Developers of new protocols have also felt comfortable using previously unused top level names, with onion being the example getting the most attention right now, but with several others previously used and more to come.

Meanwhile, one of the goals included in ICANN’s formation was increasing competition and choice.  (Don’t blame me; I wasn’t involved at the time.)   The first result was the creation of the registrar system, which resulted in a dramatic drop in the price of domain names.  The second result, which has taken quite a bit longer, was the opening up of the top level domain space, which brings us to where we are today.

Irrespective of the original intent to keep various name spaces separate, I think we have to accept that these name spaces bleed into each other.  Once we accept that, to me, fairly obvious fact of life, the next step is to work out some straightforward coordination between the IETF’s processes and ICANN’s processes.  I don’t see why it should be hard or lengthy to do so.

Steve

David Conrad’s technical team, Akram Attalah 
On Jul 21, 2015, at 11:30 AM, John C Klensin <[email-masked]> wrote:

> 
> 
> --On Monday, July 20, 2015 19:22 +0000 John Levine
> <[email-masked]> wrote:
> 
>> Now that you and Andrew have pointed it out, and after today's
>> dnsop session, I agree that the trickle of not-DNS domain
>> names is likely only to become larger, and we need a better
>> way to deal with it than a two-month all-IETF debate per name.
> 
> yep.   But I think the other part is even more important.
> 
>>> why can't we take the Special Names
>>> problem to them, say "look, we understand that these names
>>> look like names in the public DNS root and that confusion
>>> that would have bad effects is a real risk, how about you
>>> devise a procedure for dealing with them that recognizes the
>>> importance of existing deployment and use and considers the
>>> low likelihood that people who are using these names will
>>> stop because you tell them too.  Clearly the procedure you
>>> use for new gTLD applications won't work.  And, because some
>>> of these names won't wait, if you can't get that procedure
>>> together immediately, we'd be willing to let you delegate
>>> things to us on some reasonable basis until you do."
> 
>> That is an excellent question, and I suppose it couldn't hurt
>> to ask. But I have little confidence that ICANN in anything
>> like its current form, where it is dominated by people who
>> want to collect rent on every imaginable TLD, would come up
>> with an answer any better than let them pay $185K and take
>> their chances.
> 
> John, I think many of us have developed very low expectations of
> ICANN and, as you certainly know, the situation you describe
> above (often known as "capture") is only one of the problems.
> One result is that there have been a lot of decisions in recent
> years that start from "if we let them near that, they will mess
> it up and/or figure out a way to turn it into a profit center"
> and then moves to some sort of workaround.  The difficulty with
> that approach is that it lets them off the hook and, in the long
> term, may make things ever worse.  I've become convinced that is
> the wrong approach.  The alternative is to treat them like the
> responsible stewards of the DNS root namespace that they claim
> to be.  If they screw it up, we (preferably as individuals and
> external organizations and with help from ISOC and the press,
> not the IETF) hold them accountable in the court of public
> opinion and ridicule (not their pre-captured "accountability"
> mechanisms).  Of they step up -- which I don't think is
> impossible-- we make real progress.  
> 
> best,
>  john
> 
> 
>